TAU_EXEC(1)

NAME
tau_exec - TAU execution wrapping script

SYNOPSIS

tau_exec [options] [--] {exe} [exe options]

DESCRIPTION

Use this script to perform memory or IO tracking on either an instrumented or uninstrumented executable.

OPTIONS

-v  verbose mode

-qsub
    BG/P qsub mode

-io track io

-memory
    track memory

-cuda
    track GPU events via CUDA (Must be configured with -cuda=<dir>)

-opencl
    track GPU events via OpenCL

-armci
    track ARMCI events via PARMCI (Must be configured with -armci=<dir>)

-ebs
    enable Event-based sampling. See README.sampling for more information

-ebs_period=<count >
    sampling period (default 1000)

-ebs_source=<counter>
    counter(default itimer)

-T<option>
    : specify TAU option

-loadlib=<file.so >
    : specify additional load library

-XrunTAU-<options>
    specify TAU library directly

NOTES

Defaults if unspecified: -T MPI. MPI is assumed unless SERIAL is specified

Limited CUDA kernel tracking is included, if the application has these properties: A CUDA SYNC call is made after each kernel launch. cudaThreadExit() is called before the exit of each thread that uses CUDA.

EXAMPLES

mpirun -np 2 tau_exec -io ./ring

mpirun -np 8 tau_exec -ebs -ebs_period=1000000 -ebs_source=PAPI_FP_INS ./ring